nanoz

Atmosphere et mise à jour de jeux

Messages recommandés

Bonjour à tous.

Besoin d'un peu d'aide. J'ai installé sur ma switch Atmosphere. Je peux installer des jeux sans soucis (téléchargé en .xci et je les convertis en .nsp pour les installer avec TINFOIL) Jusque là pas de problème. Parfois j'ai des mises à jour avec les jeux. J'installe donc le jeux et la mise à jour juste derrière. Mais une fois que je lance le jeux on me dit que les données sont corrompus. Si j'installe sans la mise à jour aucun problème.

Est ce que je m'y prend bien où est ce qu'il y a une autre façon de faire ?

Merci de votre aide.

 

Partager ce message


Lien vers message
Partager sur d'autres sites

salut,

le problème ne vient pas d'atmosphère, mais de la version du firmware sur lequel il tourne. Un jeu, notamment cartouche, demande un firmware bien moins récent (le temps de passer gold un jeu, de nombreuses MAJ du firmware ont déjà été publiées entre temps). Sauf que les mises à jour, elles, sont programmées par Nintendo pour des firmwares 7.x, voire même 8.x, pour forcer l'utilisateur à garder sa console à jour, loin du vilain hack.

pour faire simple, disons que tu es en 6.x :

  • tu installes un jeu qui demande nativement du 5.x > pas de souci, tout roule
  • tu installes la dernière mise à jour du jeu, qui demande malheureusement du 7.x > perdu, tu peux rejouer !

À noter que le bypass de la version par les utilitaires d'installation (goldleaf, tinfoil, lithium) NE SUFFIT PAS. Pas plus que l'utilisation d'un algorithme de chiffrement plus ancien (intégré à Tinfoil, la fonction semble totalement inutile...les données ne seront pas considérées comme corrompues, mais ça ne démarrera pas). Il faut impérativement rechiffrer préalablement les NSP avec 4XCI (bien évidemment, ça nécessitera d'avoir au minimum les clés correspondantes...un jeu ou MAJ chiffré pour 7.x demandera les clés 7.x pour être rechiffré avec des algos plus anciens)

Le fait de parler de "Données corrompues" est un abus de language de Nintendo, probablement pour faire peur ou aller au plus simple. Les données sont juste illisibles parce que la console n'a pas les clés nécessaires pour les déchiffrer !

 

Bref, mettre à jour Atmosphère, c'est bien, mais ça ne résoudra rien dans ton cas ! C'est soit 4XCI avec rechiffrement, soit mise à jour de ta console en 8.x (atmo fonctionnant sans souci dessus). Seul "danger" de cette mise à jour : certains homebrews risquent de ne plus être compatibles, la faut à un SDK amateur encore balbutiant.

 

ps : une petite lecture de notre charte ne serait pas de trop, c'est extrêmement borderline. Parler de backups, ok, mais on ne veut pas savoir d'où ça vient ou comment ça a été obtenu.

Partager ce message


Lien vers message
Partager sur d'autres sites

merci Badablek. Pardon si j'ai un peu débordé.

Merci des explications. Je suis en 8.0.1. tout fonctionne très bien.

JE vais voir pour le rechiffrement car ça je n'avais pas vu encore

Dernière question. En testant j'ai mis à jour atmosphere mais pus rien ne se lance après. j'ai tout remis à zéro. COmment metre à jour sans que tout se plante ?

Merci encore des explications.

Partager ce message


Lien vers message
Partager sur d'autres sites
Citation

Dernière question. En testant j'ai mis à jour atmosphere mais pus rien ne se lance après. 

la mise à jour d'Atmosphère n'a rien à voir avec ton souci...par définition, ce Custom Firmware autorise UNIQUEMENT le lancement de homebrews...En passant la console en 8.x, tu as perdu les patches FS et ES (les ES étant OBLIGATOIRES pour le lancement de NSP non signés), il fallait donc aussi les mettre à jour. Bien évidemment, à chaque mise à jour de Nintendo, les patches actuels peuvent devenir obsolètes.

une Switch correctement hackée, c'est Atmosphère à jour + patches FS à jour + Patches ES à jour. Sans les patches ES, pas de NSP !

Partager ce message


Lien vers message
Partager sur d'autres sites
Il y a 17 heures, Badablek a dit :

la mise à jour d'Atmosphère n'a rien à voir avec ton souci...par définition, ce Custom Firmware autorise UNIQUEMENT le lancement de homebrews...En passant la console en 8.x, tu as perdu les patches FS et ES (les ES étant OBLIGATOIRES pour le lancement de NSP non signés), il fallait donc aussi les mettre à jour. Bien évidemment, à chaque mise à jour de Nintendo, les patches actuels peuvent devenir obsolètes.

une Switch correctement hackée, c'est Atmosphère à jour + patches FS à jour + Patches ES à jour. Sans les patches ES, pas de NSP !

génial tu as répondu à mes questions. Je ferais plus attention lorsque je ferais une mise à jour. il vaut mieux attendre que tout soit ok pour mettre à jour. En tout cas merci encore pour tes explications clair. je vais me faire une carte micro sd en plus pour tester avant de mettre à jour directement.

Partager ce message


Lien vers message
Partager sur d'autres sites

Créer un compte ou se connecter pour commenter

Vous devez être membre afin de pouvoir déposer un commentaire

Créer un compte

Créez un compte sur notre communauté. C’est facile !

Créer un nouveau compte

Se connecter

Vous avez déjà un compte ? Connectez-vous ici.

Connectez-vous maintenant